TITLE Mod file for component: Component(id=spike100 type=spikeArray)

COMMENT

    This NEURON file has been generated by org.neuroml.export (see https://github.com/NeuroML/org.neuroml.export)
         org.neuroml.export  v1.5.4
         org.neuroml.model   v1.5.4
         jLEMS               v0.9.9.1

ENDCOMMENT

NEURON {
    POINT_PROCESS spike100
    
}

UNITS {
    
    (nA) = (nanoamp)
    (uA) = (microamp)
    (mA) = (milliamp)
    (A) = (amp)
    (mV) = (millivolt)
    (mS) = (millisiemens)
    (uS) = (microsiemens)
    (molar) = (1/liter)
    (kHz) = (kilohertz)
    (mM) = (millimolar)
    (um) = (micrometer)
    (umol) = (micromole)
    (S) = (siemens)
    
}

PARAMETER {
    
}

ASSIGNED {
    rate_tsince (ms/ms)
    
}

STATE {
    tsince (ms) 
    
}

INITIAL {
    rates()
    rates() ? To ensure correct initialisation.
    
    tsince = 0
    
    net_send(0, 1) : go to NET_RECEIVE block, flag 1, for initial state
    
}

BREAKPOINT {
    
    SOLVE states METHOD cnexp
    
    
}

NET_RECEIVE(flag) {
    : Adding watch for spike spike100 at 100.0
    if (flag == 1) { 
        WATCH ( t > 100.0) 2
    }
    
    if (flag == 2) { 
        tsince = 0
        net_event(t)
    }
    
    
    : paramMappings . : {spike100={tsince=tsince}, 0={}}
    : state_discontinuity(tsince, 0) : From spike100
    tsince = 0 : From spike100
    
}

DERIVATIVE states {
    rates()
    tsince' = rate_tsince 
    
}

PROCEDURE rates() {
    
    rate_tsince = 1 ? Note units of all quantities used here need to be consistent!
    
     
    
}

